
注：为便于展示，所附数据为2004-2007年。
	“L_”表示滞后1期，以“L_”开头的变量为手动生成的滞后1期变量。
	数据及程序使用Stata 16版本打开。
	
************************* 定义全局暂元 *******************************************
global y "actrate" 
global x "L_export"
global control "L_wage L_tfp L_capinten L_employee L_liquidity L_siying L_waizi"


************************* 表1 描述性统计 ***************************************
keep $y $x $control
order $y $x $control
outreg2 using add , sum(detail) replace excel dec(4) eqkeep(N mean sd min max)
shellout add.xml


************************* 图1 企业社保投入密度分布 *****************************
local p1 "江苏"
local p2 "浙江"
local p3 "上海"
local p4 "福建"
local p5 "广东"
forvalues n = 1/5{
	two (kdensity actrate if L_export > 0 & province ==`n' ,lw(0.5) lc(gs5) lp(solid) ra(0 0.32),ti("`p`n''", s(4) linegap(10) pos(1) ring(0) box) yti("", s(4)) ylabel(,nolabel nogrid noticks) yscale(titleg(3) outerg(8)) xti("", s(4)) xlabel(0(0.08)0.32,labs(medium) noticks) xscale(titleg(3) outerg(-2)) legend(position(6) si(vsmall) label(1 出口企业) label(2 非出口企业) row(1)) graphr(c(white) lc(white))) (kdensity actrate if L_export == 0  & province ==`n' ,lw(0.5) lc(gs5) lp(dash) ra(0 0.32)) 
	graph save Graph `n'.gph, replace 
}
grc1leg 1.gph 2.gph 3.gph 4.gph 5.gph, c(3) leg(1.gph) pos(6)  graphr(fc(white) lc(white))
		
		
************************* 表3 基本回归 *****************************************
reghdfe $y $x $control, a(year id) vce(clu id) // 第（1）列
est store r31

reghdfe $y $x $control, a(city#year id) vce(clu id) // 第（2）列
est store r32


************************* 表4 稳健性检验 ***************************************
ivreghdfe $y $control ($x = wid), a(city#year id) clu(id)  // 第（1）列
est store r41

reghdfe $y L_expdummy $control, a(city#year id) vce(clu id) // 第（2）列
est store r42

reghdfe $y L_hgexport $control, a(city#year id) vce(clu id) // 第（3）列
est store r43

reghdfe $y L_hgexport_t95 $control, a(city#year id) vce(clu id) // 第（4）列
est store r44

reghdfe $y $x L_wage L_tfp L_capinten L_employee L_liquidity, a(city#year#ownership id) vce(clu id) // 第（5）列
est store r45

reghdfe $y $x $control if stable == 1, a(city#year id) vce(clu id) // 第（6）列
est store r46
	
reghdfe $y $x $control if moderate == 1 , a(city#year id) vce(clu id) // 第（7）列
est store r47

************************* 表5 机制分析 *****************************************
reghdfe wage $x $control,  a(city#year id) vce(clu id) // 第（1）列
est store r51

reghdfe $y $x wage $control,  a(city#year id) vce(clu id) // 第（2）列
est store r52

reghdfe tfp $x $control,  a(city#year id) vce(clu id) // 第（3）列
est store r53

reghdfe $y $x tfp $control,  a(city#year id) vce(clu id) // 第（4）列
est store r54

global control2 "L_wage L_tfp_op L_capinten L_employee L_liquidity L_siying L_waizi"
reghdfe tfp_op $x $control2,  a(city#year id) vce(clu id) // 第（5）列
est store r55

reghdfe $y $x tfp_op $control2,  a(city#year id) vce(clu id) // 第（6）列
est store r56

************************* 表6 出口对参保决策与投入决策的影响  ******************
xtlogit payment i.year $x $control, fe 
margins , dydx($x $control) predict(pu0) post // 第（1）列
est store r61

reghdfe payment $x $control, a(city#year id) vce(clu id) // 第（2）列
est store r62

reghdfe $y $x $control if payment == 1, a(city#year id) vce(clu id) // 第（3）列
est store r63




